This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988088 - [ExternalTasks] Step cannot be ended as not successful
[ExternalTasks] Step cannot be ended as not successful
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eli Mesika
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 13:36 EDT by vszocs
Modified: 2013-09-23 03:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 03:27:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17463 None None None Never

  None (edit)
Description vszocs 2013-07-24 13:36:49 EDT
Assume JOB_ID is ID of existing job.
Assume STEP_ID is ID of existing step that belongs to above mentioned job.

POST /api/jobs/JOB_ID/steps/STEP_ID/end
<action>
  <succeeded>false</succeeded>
</action>

GET /api/jobs/JOB_ID/steps/STEP_ID = step is still in STARTED state, POST request doesn't seem to have any effect
<step href="/api/jobs/JOB_ID/steps/STEP_ID" id="STEP_ID">
    <actions>
        <link href="/api/jobs/JOB_ID/steps/STEP_ID/end" rel="end"/>
    </actions>
    <description>Test Step</description>
    <job href="/api/jobs/JOB_ID" id="JOB_ID"/>
    <type>executing</type>
    <number>0</number>
    <status>
        <state>STARTED</state>
    </status>
    <start_time>2013-07-24T16:52:36.943+02:00</start_time>
    <external>true</external>
</step>

Please advise what is the proper way to end a step so that its state is something other than FINISHED.
Comment 1 Eli Mesika 2013-08-01 07:18:29 EDT
fixed in commit : d849805
Comment 2 Itamar Heim 2013-08-21 12:41:48 EDT
as RC is built, moving to ON_QA (hopefully did not catch incorrect bugs when doing this)
Comment 3 Itamar Heim 2013-09-23 03:27:19 EDT
closing as this should be in 3.3 (doing so in bulk, so may be incorrect)

Note You need to log in before you can comment on or make changes to this bug.